%define upstream_name    File-Find-Rule-VCS
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Exclude files/directories for Version Control Systems
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}

%description
Many tools need to be equally useful both on ordinary files, and on code
that has been checked out from revision control systems.

*File::Find::Rule::VCS* provides quick and convenient methods to exclude
the version control directories of several major Version Control Systems
(currently CVS, subversion, and Bazaar).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README LICENSE Changes
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.60.0-1mdv2010.0
+ Revision: 401664
- rebuild using %%perl_convert_version
- fixed license field

* Thu Jul 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-1mdv2010.0
+ Revision: 393792
- update to new version 1.06

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-1mdv2009.1
+ Revision: 292160
- update to new version 1.05

* Sat Aug 30 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.04-1mdv2009.0
+ Revision: 277660
- import perl-File-Find-Rule-VCS


